update gcc-9 and gcc-10 packages for focal

Bug #1879481 reported by Matthias Klose on 2020-05-19
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
gcc-10 (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned
gcc-10-cross (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned
gcc-10-cross-mipsen (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned
gcc-10-cross-ports (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned
gcc-9 (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned
gcc-9-cross (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned
gcc-9-cross-mipsen (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned
gcc-9-cross-ports (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned

Bug Description

As done for gcc-7 and gcc-8 in 18.04 LTS in LP: #1848319, I'd like to update the gcc-9 and gcc-10 packages in focal to the final 10.2.0 release.

 - gcc-10, update to the gcc-10.2.0 release
 - gcc-9, update to the gcc-9 release branch to the time
   of the gcc-10 release.
 - corresponding gcc-cross packages

The package builds are prepared in
https://launchpad.net/~ubuntu-toolchain-r/+archive/ubuntu/ppa/+packages

[Impact]
Provide an upstream release for GCC 10.2, and an update for GCC 9 to the 9.3 branch

[Regression Potential]
There is regression potential, however with a test rebuild of the main portion of the archive no regressions were found.

[Test Case]
No regressions in the GCC test suite, and no regressions in the test
rebuild of the main component of the archive (all architectures)

As a test, a complete archive rebuild was performed, and no regressions were found with this new package. The archive rebuild also contained updated versions of gcc-9, gcc-10, python3.8, and python3-stdlib-extensions. The GCC and Python packages should not infer with each other.

[Validation]
Analyze the build logs for regressions.
For the cross builds, just make sure that the packages build using
the updated sources.

Summary of the test rebuilds:
https://people.canonical.com/~doko/ftbfs-report/test-rebuild-20200810-focal-focal.html
https://people.canonical.com/~doko/ftbfs-report/test-rebuild-20200810-focal-gcc-focal.html

The first one is a reference build, the second one the test rebuild with the updated components.

There are no additional regressions except for pyxdg, which is unrelated to the GCC update, and which was fixed by a separate SRU. Note that the riscv64 builds are purely informational, and are not checked for any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gcc-10 (Ubuntu Focal):
status: New → Confirmed
Changed in gcc-10 (Ubuntu):
status: New → Confirmed
Changed in gcc-9 (Ubuntu Focal):
status: New → Confirmed
Changed in gcc-9 (Ubuntu):
status: New → Confirmed
Revision history for this message
Lastique (andysem) wrote :

At this point it might be worth updating gcc-10 to 10.2.

I'm particularly interested in gcc-10 upgrade because I might be affected by a g++ bug that is already fixed in a more recent version of gcc-10. I cannot upgrade locally because the problem appears in a public Travis CI instance.

Matthias Klose (doko) on 2020-09-04
description: updated
description: updated
description: updated
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Please test proposed package

Hello Matthias, or anyone else affected,

Accepted gcc-9 into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-9/9.3.0-17ubuntu1~20.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-9 (Ubuntu Focal):
status: Confirmed → Fix Committed
tags: added: verification-needed verification-needed-focal
Changed in gcc-10 (Ubuntu Focal):
status: Confirmed → Fix Committed
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-10 into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-10/10.2.0-5ubuntu1~20.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (gcc-9/9.3.0-17ubuntu1~20.04)

All autopkgtests for the newly accepted gcc-9 (9.3.0-17ubuntu1~20.04) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

doxygen/1.8.17-0ubuntu2 (i386)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#gcc-9

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Matthias Klose (doko) wrote :

The testing was already done before the acceptance to -proposed. See the bug description.

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Revision history for this message
Alberto Milone (albertomilone) wrote :

The update seems to break the NVIDIA packages, any ideas?

See the full log in the attachment.

These are the last two lines:
E: Could not configure 'libc6:i386'.
E: Could not perform immediate configuration on 'libgcc-s1:i386'. Please see man 5 apt.conf

Also see:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450/+bug/1887674/comments/7

tags: added: verification-failed-focal verification-needed
removed: verification-done verification-done-focal
Revision history for this message
Alberto Milone (albertomilone) wrote :

I can't reproduce the problem any more here, either on my Focal installation or in my chroot.

Revision history for this message
Łukasz Zemczak (sil2100) wrote : Please test proposed package

Hello Matthias, or anyone else affected,

Accepted gcc-10-cross into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-10-cross/6ubuntu3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-10-cross (Ubuntu Focal):
status: New → Fix Committed
tags: added: verification-needed-focal
removed: verification-failed-focal
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-10-cross-ports into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-10-cross-ports/5ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-10-cross-ports (Ubuntu Focal):
status: New → Fix Committed
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-9-cross into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-9-cross/21ubuntu4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-9-cross (Ubuntu Focal):
status: New → Fix Committed
Changed in gcc-9-cross-ports (Ubuntu Focal):
status: New → Fix Committed
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-9-cross-ports into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-9-cross-ports/18ubuntu4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-10-cross-mipsen into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-10-cross-mipsen/2+c1ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-10-cross-mipsen (Ubuntu Focal):
status: New → Fix Committed
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-9-cross-mipsen into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-9-cross-mipsen/4+c2ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gcc-9-cross-mipsen (Ubuntu Focal):
status: New → Fix Committed
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted gcc-10-cross-mipsen into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gcc-10-cross-mipsen/2+c1ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Matthias Klose (doko) wrote :

all the cross packages look ok, evaluation of the native packages was already done before the upload to the proposed pocket.

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (12.1 KiB)

This bug was fixed in the package gcc-10 - 10.2.0-5ubuntu1~20.04

---------------
gcc-10 (10.2.0-5ubuntu1~20.04) focal-proposed; urgency=medium

  * SRU: LP: #1879481. Update to the GCC 10.2.0 release.

gcc-10 (10.2.0-5ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

gcc-10 (10.2.0-5) unstable; urgency=medium

  * Update to git 20200808 from the gcc-10 branch.
    - Fix PR target/96191 (ARM), PR target/96191 (AArch64),
      PR tree-optimization/96483, PR middle-end/96426, PR debug/96354,
      PR target/95435 (x86), PR tree-optimization/96058, PR middle-end/96335,
      PR lto/45375, PR c/96377, PR c++/96082, PR c++/95591, PR c++/95599,
      PR c++/95823, PR c++/95824, PR c++/95895, PR d/96140,
      PR fortran/96319, PR fortran/95612, PR fortran/95585.

gcc-10 (10.2.0-3ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't run the tests on riscv64.

gcc-10 (10.2.0-3) unstable; urgency=medium

  * Update to git 20200725 from the gcc-10 branch.
    - Fix PR target/96190 (SPARC), PR target/96236 (PPC), PR target/96260,
      PR fortran/95980, PR fortran/95980, PR fortran/96086, PR fortran/89574,
      PR fortran/96220, PR fortran/96018.
  * Re-enable gm2, disabled by accident in 10.2.0-1.
  * Refresh gm2 patches.
  * Apply proposed gdc patch (Iain Buclaw). Closes: #966026.
  * Apply proposed patch for PR bootstrap/96203, add -fcf-protection=check.

gcc-10 (10.2.0-1ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't run the tests on riscv64.

gcc-10 (10.2.0-1) unstable; urgency=medium

  * GCC 10.2.0 release.
    - Fix PR target/95726 (AArch64), PR target/96174 (x86), PR middle-end/95114,
      PR tree-optimization/96146, PR middle-end/96194, PR c++/95789,
      PR c++/96104, PR c++/96179.
    - Fix missing dependencies for selftests which occasionally causes
      failed builds. Closes: #960913.
  * Update gm2 from the gm2 gcc-10 branch.
  * Update the patch for PR lto/95604, replacing the error with a warning.
  * Build the GC enabled libobjc on arm64, mips and mipsel as well.
  * libgo: Merge the 1.14.6 changes, taken from the trunk.
  * Fix ASAN_INTERCEPT_VFORK related symbols. (Helmut Grohne). Closes: #965246.

gcc-10 (10.1.0-6ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Don't run the tests on riscv64.

gcc-10 (10.1.0-6) unstable; urgency=medium

  * Update to git 20200714 from the gcc-10 branch.
    - Fix PR lto/95604, PR target/94891 (AArch64), PR target/94791 (AArch64),
      PR ipa/96130, PR middle-end/94600, PR middle-end/95270, PR c++/96063,
      PR c++/96077.
  * Also package the nvptx offload compiler on arm64.

gcc-10 (10.1.0-5) unstable; urgency=medium

  * Update to git 20200713 from the gcc-10 branch.
    - Fix PR bootstrap/94998, PR tree-optimization/94969, PR target/95018 (PPC),
      PR target/95347 (PPC), PR target/95347 (PPC), PR target/95713,
      PR target/94735 (ARM), PR target/94959 (ARM), PR c++/95505, PR c++/95508,
      PR fortran/95707, PR fortran...

Changed in gcc-10 (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (7.0 KiB)

This bug was fixed in the package gcc-9 - 9.3.0-17ubuntu1~20.04

---------------
gcc-9 (9.3.0-17ubuntu1~20.04) focal-proposed; urgency=medium

  * SRU: LP: #1879481. Update to the gcc-9 branch up to the time of the
    GCC 10.2 release/branch.

gcc-9 (9.3.0-17ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

gcc-9 (9.3.0-17) unstable; urgency=medium

  * Update to git 20200808 from the gcc-9 branch.
    - Fix PR target/96191 (ARM), PR target/96191 (AArch64),
      PR rtl-optimization/94605, PR middle-end/95114, PR target/94065 (PPC),
      PR d/96140, PR fortran/95612, PR fortran/95585, PR fortran/89574,
      PR fortran/96018, PR fortran/96220, PR target/96402 (AArch64),
      PR fortran/93592, PR libstdc++/93245, PR libstdc++/94242,
      PR libstdc++/96484.
  * Apply patch for PR bootstrap/96203, add -fcf-protection=check, taken from
    the trunk.
  * Refresh patches.

gcc-9 (9.3.0-16ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

gcc-9 (9.3.0-16) unstable; urgency=medium

  * Update to git 20200721 from the gcc-9 branch.
    - Fix PR target/94891 (AArch64), PR target/94791 (AArch64),
      PR target/96001 (AArch64).
    - Fix missing dependencies for selftests which occasionally causes
      failed builds. Addresses: #960913.
  * Build the GC enabled libobjc on arm64, mips and mipsel as well.

gcc-9 (9.3.0-15ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

gcc-9 (9.3.0-15) unstable; urgency=medium

  * Update to git 20200713 from the gcc-9 branch.
    - Fix PR libstdc++/91807, PR libstdc++/94627, PR fortran/95709,
      PR fortran/93337, PR fortran/88379, PR fortran/71706, PR fortran/95880,
      PR fortran/95829, PR fortran/95743, PR fortran/95881, PR fortran/95689,
      PR fortran/95689, PR fortran/95587, PR fortran/95708, PR d/95250,
      PR d/95173, PR tree-optimization/95804, PR tree-optimization/95638,
      PR target/94954 (PPC), PR target/95874 (x86).
  * distro-defaults.h: Don't define for offload compilers.
  * Update the patch for PR lto/95604.

gcc-9 (9.3.0-14ubuntu2) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.
    - Disable the LTO build on arm64, armhf for now, takes 24+ hours ...

gcc-9 (9.3.0-14) unstable; urgency=medium

  * Update to git 20200617 from the gcc-9 branch.
    - Fix PR target/94833 (PPC), PR target/94591 (AArch64),
      PR gcov-profile/95332, PR target/94812 (AArch64), PR target/95258 (x86),
      PR tree-optimization/94969, PR c++/90212, PR c++/90479, PR c++/91529,
      PR c++/93822, PR fortran/95373, PR fortran/95373, PR fortran/95106,
      PR fortran/95530, PR fortran/95537, PR fortran/95500, PR fortran/94361,
      PR fortran/94361, PR fortran/94397, PR fortran/50392, PR fortran/39695,
      PR libfortran/95191, PR target/91695 (x86), PR target/...

Read more...

Changed in gcc-9 (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-10-cross - 6ubuntu3

---------------
gcc-10-cross (6ubuntu3) focal-proposed; urgency=medium

  * SRU: LP: #1879481. Update to the GCC 10.2.0 release.

 -- Matthias Klose <email address hidden> Wed, 16 Sep 2020 14:31:17 +0200

Changed in gcc-10-cross (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-10-cross-ports - 5ubuntu2

---------------
gcc-10-cross-ports (5ubuntu2) focal-proposed; urgency=medium

  * SRU: LP: #1879481. Update to the GCC 10.2.0 release.

 -- Matthias Klose <email address hidden> Wed, 16 Sep 2020 14:47:10 +0200

Changed in gcc-10-cross-ports (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-10-cross-mipsen - 2+c1ubuntu1.1

---------------
gcc-10-cross-mipsen (2+c1ubuntu1.1) focal; urgency=medium

  * SRU: LP: #1879481. Update to the GCC 10.2.0 release.

 -- Matthias Klose <email address hidden> Wed, 16 Sep 2020 14:54:16 +0200

Changed in gcc-10-cross-mipsen (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-9-cross-ports - 18ubuntu4

---------------
gcc-9-cross-ports (18ubuntu4) focal-proposed; urgency=medium

  * SRU: LP: #1879481. Update to the gcc-9 branch up to the time of the
    GCC 10.2 release/branch.

 -- Matthias Klose <email address hidden> Wed, 16 Sep 2020 14:48:20 +0200

Changed in gcc-9-cross-ports (Ubuntu Focal):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

Released!

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-9-cross-mipsen - 4+c2ubuntu2.1

---------------
gcc-9-cross-mipsen (4+c2ubuntu2.1) focal; urgency=medium

  * SRU: LP: #1879481. Update to the gcc-9 branch up to the time of the
    GCC 10.2 release/branch.

 -- Matthias Klose <email address hidden> Wed, 16 Sep 2020 14:51:21 +0200

Changed in gcc-9-cross-mipsen (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-9-cross - 21ubuntu4

---------------
gcc-9-cross (21ubuntu4) focal-proposed; urgency=medium

  * SRU: LP: #1879481. Update to the gcc-9 branch up to the time of the
    GCC 10.2 release/branch.

 -- Matthias Klose <email address hidden> Wed, 16 Sep 2020 14:33:36 +0200

Changed in gcc-9-cross (Ubuntu Focal):
status: Fix Committed → Fix Released
Matthias Klose (doko) on 2020-10-15
Changed in gcc-10 (Ubuntu):
status: Confirmed → Fix Released
Changed in gcc-10-cross (Ubuntu):
status: New → Fix Released
Changed in gcc-10-cross-mipsen (Ubuntu):
status: New → Fix Released
Changed in gcc-10-cross-ports (Ubuntu):
status: New → Fix Released
Changed in gcc-9 (Ubuntu):
status: Confirmed → Fix Released
Changed in gcc-9-cross (Ubuntu):
status: New → Fix Released
Changed in gcc-9-cross-mipsen (Ubuntu):
status: New → Fix Released
Changed in gcc-9-cross-ports (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers